<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/><title>makeacceptmailfor</title><link rel="stylesheet" type="text/css" href="style.css"/><meta name="generator" content="DocBook XSL Stylesheets Vsnapshot"/><link rel="home" href="#makeacceptmailfor" title="makeacceptmailfor"/><link xmlns="" rel="stylesheet" type="text/css" href="manpage.css"/><meta xmlns="" name="MSSmartTagsPreventParsing" content="TRUE"/><link xmlns="" rel="icon" href="icon.gif" type="image/gif"/><!--

Copyright 1998 - 2009 S. Varshavchik.  See COPYING for distribution
information.

--></head><body><div class="refentry"><a id="makeacceptmailfor" shape="rect"> </a><div class="titlepage"/><div class="refnamediv"><h2>Name</h2><p>makeacceptmailfor — Create @sysconfdir@/esmtpacceptmailfor.dat</p></div><div class="refsynopsisdiv"><h2>Synopsis</h2><div class="cmdsynopsis"><p><code class="command">makeacceptmailfor</code> </p></div></div><div class="refsect1"><a id="makeacceptmailfor_description" shape="rect"> </a><h2>DESCRIPTION</h2><p>
<span class="command"><strong>makeacceptmailfor</strong></span> reads
<code class="filename">@sysconfdir@/esmtpacceptmailfor.dir</code> and creates
<code class="filename">@sysconfdir@/esmtpacceptmailfor.dat</code> which is a binary
database file.
<code class="filename">@sysconfdir@/esmtpacceptmailfor.dat</code> is a list of domains
that the <span class="application">Courier</span> mail server
accepts mail for, via ESMTP.
<code class="filename">@sysconfdir@/esmtpacceptmailfor.dir</code> is a
subdirectory containing one or more files. Each file in this subdirectory is
plain text file, containing a list of mail domains, one per line, in
lowercase. All files in the subdirectory are concatenated, and the binary
database file is created from the result.</p><p>
The <span class="command"><strong>makeacceptmailfor</strong></span> can be executed while the
<span class="application">Courier</span> mail server is
running, and any changes take effect immediately. However, only one instance of
<span class="command"><strong>makeacceptmailfor</strong></span> can be executed at the same time.</p></div><div class="refsect1"><a id="makeacceptmailfor_subdir" shape="rect"> </a><h2>Subdirectory checks</h2><p>
      The following checks are made on the contents of
      <code class="filename">@sysconfdir@/esmtpacceptmailfor.dir</code>:
    </p><div class="itemizedlist"><ul class="itemizedlist" style="list-style-type: disc; "><li class="listitem"><p>
	  Files whose names contain a tilde, <span class="quote">“<span class="quote">~</span>”</span> are skipped over.
	</p></li><li class="listitem"><p>
	  Files whose names end with the following suffixes result in an error
	  message: <span class="quote">“<span class="quote">.rpmsave</span>”</span>, <span class="quote">“<span class="quote">.rpmnew</span>”</span>, and
	  <span class="quote">“<span class="quote">.dpkg-<em class="replaceable"><code>suffix</code></em></span>”</span>. These files
	  are backup files created by package manager when updating to a newer
	  version of the package and contain the old or the new version of a
	  configuration file whose settings may be new or obsolete.
	</p><p>
	  The contents of the file whose name does not have the suffix should
	  be checked against the backup. The backup file should be deleted
	  after making any needed manual changes to the configuration file.
	</p></li><li class="listitem"><p>
	  Files whose names end with the <span class="quote">“<span class="quote">.dist</span>”</span> suffix is also
	  treated as a configuration file backup or template, but with the
	  following exception: the <span class="quote">“<span class="quote">.dist</span>”</span> file gets ignored
	  and automatically skipped over, without any error message, if
	  the suffix-less file exists and its modification time is more recent
	  than the <span class="quote">“<span class="quote">.dist</span>”</span> file's modification time.
	</p><p>
	  Otherwise an error message gets reported. Resolving the error
	  message is done by either copying the
	  <span class="quote">“<span class="quote">.dist</span>”</span> file or editing and saving the file without
	  the suffix (resulting in a newer timestamp).
	</p></li></ul></div></div><div class="refsect1"><a id="makeacceptmailfor_see_also" shape="rect"> </a><h2>SEE ALSO</h2><p>
<a class="ulink" href="esmtpd.html" target="_top" shape="rect"><span class="citerefentry"><span class="refentrytitle">esmtpd</span>(8)</span></a>.</p></div></div></body></html>
